﻿using MultiLayout;
using MultiLayout.UiModule;
using System.Diagnostics;
using System.IO;
using System.Windows;
using System.Windows.Media;
using Unity;

namespace FLY.Thick.Base.UI.CustomMenu
{
    public class WarningMenu : IMenu
    {
        public string Title { get; private set; }

        public Brush Brush { get; set; }




        IUnityContainer container;
        public WarningMenu(IUnityContainer container)
        {
            this.container = container;
            string title = (string)Application.Current.TryFindResource("str.CustomMenu.Warning");
            Title = title;

            Brush = Brushes.Red;

        }

        public void OnClick()
        {
            var p = this.container.Resolve<PgErrorsTable>();
            FlyLayoutManager.NavigationService.Navigate(p);

        }
    }
}
